#!/bin/sh

# Install ssh config for Motorola

# Stop on first failure
set -e

# Show each command
set -x

# Run in shubshell to not affect parent shell umask settings
(

    # Restrict permissions to read and write only for user
    umask u+rw,g-rwx,o-rwx

    # Read config from password store and save it plaintext
    # There are only some internal domains
    pass show common/ssh/remote/config > "$HOME"/.ssh/config-remote \
    ||
    `# Continue even when pass command is not installed or fails` \
    true \

)
